Loading...
Searching...
No Matches
gtsam::Basis< DERIVED >::ManifoldEvaluationFunctor< T > Class Template Reference

## Detailed Description

template<typename DERIVED>
template<class T>
class gtsam::Basis< DERIVED >::ManifoldEvaluationFunctor< T >

Manifold EvaluationFunctor at a given x, applied to ParameterMatrix<M>.

This functor is used to evaluate a parameterized function at a given scalar value x. When given a specific M*N parameters, returns an M-vector the M corresponding functions at x, possibly with Jacobians wrpt the parameters.

The difference with the VectorEvaluationFunctor is that after computing the M*1 vector xi=F(x;P), with x a scalar and P the M*N parameter vector, we also retract xi back to the T manifold. For example, if T==Rot3, then we first compute a 3-vector xi using x and P, and then map that 3-vector xi back to the Rot3 manifold, yielding a valid 3D rotation.

Inheritance diagram for gtsam::Basis< DERIVED >::ManifoldEvaluationFunctor< T >:

## Public Member Functions

| ManifoldEvaluationFunctor ()
| For serialization.
| ManifoldEvaluationFunctor (size_t N, double x)
| Default Constructor.
| ManifoldEvaluationFunctor (size_t N, double x, double a, double b)
| Constructor, with interval [a,b].
T | apply (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| Manifold evaluation.
T | operator() (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| c++ sugar
Public Member Functions inherited from gtsam::Basis< DERIVED >::VectorEvaluationFunctor< traits< T >::dimension >
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | VectorEvaluationFunctor ()
| For serialization.
VectorM | apply (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| M-dimensional evaluation.
VectorM | operator() (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| c++ sugar

## Additional Inherited Members

Protected Types inherited from gtsam::Basis< DERIVED >::VectorEvaluationFunctor< traits< T >::dimension >
using | VectorM
using | Jacobian
Protected Member Functions inherited from gtsam::Basis< DERIVED >::VectorEvaluationFunctor< traits< T >::dimension >
void | calculateJacobian ()
| Calculate the M*(M*N) Jacobian of this functor with respect to the M*N parameter matrix P.
Protected Member Functions inherited from gtsam::Basis< DERIVED >::EvaluationFunctor
| EvaluationFunctor ()
| For serialization.
| EvaluationFunctor (size_t N, double x)
| Constructor with interval [a,b].
| EvaluationFunctor (size_t N, double x, double a, double b)
| Constructor with interval [a,b].
double | apply (const typename DERIVED::Parameters &p, OptionalJacobian<-1, -1 > H=boost::none) const
| Regular 1D evaluation.
double | operator() (const typename DERIVED::Parameters &p, OptionalJacobian<-1, -1 > H=boost::none) const
| c++ sugar
void | print (const std::string &s="") const
Protected Attributes inherited from gtsam::Basis< DERIVED >::VectorEvaluationFunctor< traits< T >::dimension >
Jacobian | H_
Protected Attributes inherited from gtsam::Basis< DERIVED >::EvaluationFunctor
Weights | weights_

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/basis/Basis.h